## net.i2p.router.web
Class SummaryRenderer

    java.lang.Object
      net.i2p.router.web.SummaryRenderer

     class SummaryRenderer

extends java.lang.Object

Constructor Summary
`SummaryRenderer(I2PAppContext ctx, SummaryListener lsnr)`

Method Summary
`static void` `render(I2PAppContext ctx, java.io.OutputStream out, java.lang.String filename)` Render the stats as determined by the specified JRobin xml config, but note that this doesn't work on stock jvms, as it requires DOM level 3 load and store support.
`void` `render(java.io.OutputStream out)`
`void` `render(java.io.OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryRenderer

    public SummaryRenderer(I2PAppContext ctx,
                           SummaryListener lsnr)

Method Detail

### render

    public static void render(I2PAppContext ctx,
                              java.io.OutputStream out,
                              java.lang.String filename)
                       throws java.io.IOException

  Render the stats as determined by the specified JRobin xml config, but note that this doesn't work on stock jvms, as it requires DOM level 3 load and store support. Perhaps we can bundle that, or specify who can get it from where, etc.

  Throws:
    `java.io.IOException`

### render

    public void render(java.io.OutputStream out)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### render

    public void render(java.io.OutputStream out,
                       int width,
                       int height,
                       boolean hideLegend,
                       boolean hideGrid,
                       boolean hideTitle,
                       boolean showEvents,
                       int periodCount,
                       boolean showCredit)
                throws java.io.IOException

  Throws:
    `java.io.IOException`